var username;


//login ajax call
function ajaxSubmitLogin() {
    var usernameElement = document.getElementById("username");
    var passwordElement = document.getElementById("password");

    if (usernameElement && passwordElement) {
        username = usernameElement.value;
        var password = passwordElement.value;
        localStorage.setItem("passName", username);
        console.log("Username: " + username + " Password: " + password);

        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function() {
            if (this.readyState === 4) {
                var msgElement = document.getElementById("msg");
                if (msgElement) {
                    msgElement.innerHTML = this.responseText;

                    if (this.status === 200) {
                        console.log(username);

                        msgElement.innerHTML = " Login Success! " +
                            "You will be redirected to your Profile Page in 5 seconds " +
                            "or <a href='http://localhost:8080/profilePage.html'>click here</a>";
                        setTimeout(function() {
                            window.location.href = "http://localhost:8080/profilePage.html";

                        }, 5000);
                    }else if(this.status === 412){
                        msgElement.innerHTML = " Login Failed, Username or password incorrect";
                    }
                }
            }
        };
        xhr.open("POST", window.location.href, true);
        xhr.setRequestHeader("Content-type",
            "application/x-www-form-urlencoded");
        xhr.send("username="+username+"&password="+password);
    }
}

//interest search ajax call
function ajaxSubmitSearch() {
    var searchElement = document.getElementById("search");


    if (searchElement) {

        var interests = searchElement.value;

        console.log("interests: " + interests);

        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function() {
            if (this.readyState === 4) {
                var msgElement = document.getElementById("msg");
                if (msgElement) {


                    if (this.status === 200) {
                        msgElement.innerHTML = this.responseText;
                        console.log(this.responseText)

                    }else if(this.status === 412){
                        msgElement.innerHTML = msgElement.innerHTML + "Search failed";
                    }
                }
            }
        };
        xhr.open("POST", window.location.href, true);
        xhr.setRequestHeader("Content-type",
            "application/x-www-form-urlencoded");
        xhr.send("interests="+interests);
    }
}

//state search ajax call
function ajaxSubmitStateSearch() {
    var searchElement = document.getElementById("stateL");


    if (searchElement) {

        var state = searchElement.value;

        console.log("state search: " + state);

        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function() {
            if (this.readyState === 4) {
                var msgElement = document.getElementById("msg");
                if (msgElement) {
                    msgElement.innerHTML = this.responseText;

                    if (this.status === 200) {
                        console.log(this.responseText)

                    }else if(this.status === 412){
                        msgElement.innerHTML = msgElement.innerHTML + "Search failed";
                    }
                }
            }
        };
        xhr.open("POST", window.location.href, true);
        xhr.setRequestHeader("Content-type",
            "application/x-www-form-urlencoded");
        xhr.send("state="+state);
    }
}

//ass username to profile page
function changeName(){
    username = localStorage.getItem("passName");
    console.log(username);
    var nameElement = document.getElementById("pName");
    if(username==undefined){
        nameElement.innerHTML = "Username";
    }else {
        nameElement.innerHTML = username;
    }
}

//profile page ajax
function ajaxSubmitProfile() {
    var stateElement = document.getElementById("state");
    var interestsElement = document.getElementById("interests");
    var fnameElement = document.getElementById("fname");
    var lnameElement = document.getElementById("lname");
    var pictureElement = document.getElementById("picture");
    username = localStorage.getItem("passName");
    if (username) {
        var state = stateElement.value;
        var interests = interestsElement.value;
        var firstname = fnameElement.value;
        var lastname = lnameElement.value;
        var picture = pictureElement.value;

        console.log("State: " + state + " interests: " + interests);

        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function() {
            if (this.readyState === 4) {
                var msgElement = document.getElementById("msg");
                if (msgElement) {
                    msgElement.innerHTML = this.responseText;
                    if (this.status === 200) {
                        msgElement.innerHTML = msgElement.innerHTML + " Profile Info Submission Success! " +
                            "You can edit your profile or go search for other profiles by " +
                            "<a href='http://localhost:8080/search.html'>clicking here</a>";

                    }else if(this.status === 412){
                        msgElement.innerHTML = msgElement.innerHTML + "Profile update failed, please try again with correct information";
                    }
                }
            }
        };
        xhr.open("POST", window.location.href, true);
        xhr.setRequestHeader("Content-type",
            "application/x-www-form-urlencoded");
        xhr.send("username="+username+"&firstname="+firstname+"&lastname="+lastname+"&picture="+picture+"&state="+state+"&interests="+interests);

    }
}

//registration ajax
function ajaxSubmitForm() {
    var usernameElement = document.getElementById("username");
    var passwordElement = document.getElementById("password");

    if (usernameElement && passwordElement) {
        var username = usernameElement.value;
        var password = passwordElement.value;
        console.log("Username: " + username + " Password: " + password);

        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function() {
            if (this.readyState === 4) {
                var msgElement = document.getElementById("msg");
                if (msgElement) {
                    msgElement.innerHTML = this.responseText;
                    if (this.status === 200) {
                        msgElement.innerHTML = msgElement.innerHTML + " Registration Success! " +
                            "You will be redirected to the Login Page in 5 seconds " +
                            "or <a href='http://localhost:8080/mobileLogin.html'>click here</a>";
                        setTimeout(function() {
                            window.location.href = "http://localhost:8080/mobileLogin.html";
                        }, 5000);
                    }
                }
            }
        };
        xhr.open("POST", window.location.href, true);
        xhr.setRequestHeader("Content-type",
            "application/x-www-form-urlencoded");
        xhr.send("username="+username+"&password="+password);
    }
}
